%global pypi_name httpx
# Dependency generator is having problems with the given requirements
%{?python_disable_dependency_generator}

Name:           python-%{pypi_name}
Version:        0.13.3
Release:        2%{?dist}
Summary:        Python HTTP client

License:        BSD
URL:            https://github.com/encode/httpx
Source0:        %{pypi_source}
BuildArch:      noarch

%description
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3dist(certifi)
Requires:       (python3dist(chardet) >= 3 with python3dist(chardet) < 4)
Requires:       python3dist(hstspreload)
Requires:       (python3dist(httpcore) >= 0.9 with python3dist(httpcore) < 0.10)
Requires:       (python3dist(idna) >= 2 with python3dist(idna) < 3)
Requires:       (python3dist(rfc3986) >= 1.3 with python3dist(rfc3986) < 2)
Requires:       python3dist(sniffio)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.3-1
- Initial package for Fedora
